org.apache.cassandra.security

## Class JKSKeyProvider

- java.lang.Object
- - org.apache.cassandra.security.JKSKeyProvider

- All Implemented Interfaces:
    KeyProvider

      public class JKSKeyProvider
      extends java.lang.Object
      implements KeyProvider

  A `KeyProvider` that retrieves keys from a java keystore.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JKSKeyProvider(TransparentDataEncryptionOptions options)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.security.Key` | `getSecretKey(java.lang.String keyAlias)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JKSKeyProvider

          public JKSKeyProvider(TransparentDataEncryptionOptions options)

  - ### Method Detail

    - #### getSecretKey

          public java.security.Key getSecretKey(java.lang.String keyAlias)
                                         throws java.io.IOException

      Specified by:
        `getSecretKey` in interface `KeyProvider`
      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation